<?php get_header(); ?>

	<div id="content" class="hfeed content">

		<?php do_atomic( 'before_content' ); ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<article id="post-<?php the_ID() ?>" class="<?php framework_post_class() ?>">

			<?php do_atomic( 'before_entry' ); ?>

			<header class="entry-header">
				<h1 class="entry-title"><?php printf( '%s', get_the_title() ); ?></h1>
			</header><!-- .entry-header -->

			<div class="entry-byline">
				<span class="entry-published"><?php printf( '%1$s', get_the_time( get_option( 'date_format' ) ) ); ?></span>
				<?php if ( comments_open() ) : echo '<span class="entry-comments">'; comments_popup_link( __( '0', 'wordsmith' ), __( '1', 'wordsmith' ),  __( '%', 'wordsmith' ) ); echo '</span>'; endif; ?>
			</div><!-- .entry-byline -->

			<?php if ( wp_attachment_is_image( get_the_ID() ) ) : ?>

				<p class="attachment-image">
					<?php echo wp_get_attachment_image( get_the_ID(), 'full', false, array( 'class' => 'aligncenter' ) ); ?>
				</p><!-- .attachment-image -->

			<?php else : ?>

				<p class="download">
					<a href="<?php echo wp_get_attachment_url(); ?>" title="<?php the_title_attribute(); ?>" rel="enclosure" type="<?php echo get_post_mime_type(); ?>"><?php printf( __( 'Download &quot;%1$s&quot;', 'wordsmith' ), the_title( '<span class="fn">', '</span>', false ) ); ?></a>
				</p><!-- .download -->

			<?php endif; ?>

			<?php
				if ( get_the_content() ) :
					echo '<div class="entry-content">' . get_the_content() . '</div><!-- .entry-content -->';
				endif;
			?>

			<?php if ( wp_attachment_is_image( get_the_ID() ) && count( get_children() ) > 1 ) : ?>
			<nav class="attachment-navigation">
				<span class="next alignright"><?php next_image_link( false, __( 'Next', 'wordsmith' ) ); ?></span>
				<span class="previous alignleft"><?php previous_image_link( false, __( 'Previous', 'wordsmith' ) ); ?></span>
			</nav><!-- .attachment-navigation -->
			<?php endif; ?>

			<?php if ( is_user_logged_in() ) : ?>
			<footer class="entry-meta">
				<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="edit">', '</span>' ); ?>
			</footer><!-- .entry-meta -->
			<?php endif; ?>

			<?php do_atomic( 'after_entry' ); ?>

		</article><!-- .hentry -->

		<?php do_atomic( 'after_singular' ); ?>

		<?php if ( comments_open() || '0' != get_comments_number() ) comments_template( '/comments.php', true ); ?>

		<?php get_template_part( 'loop-nav' ); ?>

		<?php endwhile; else : ?>

			<?php get_template_part( 'loop-error' ); ?>

		<?php endif; ?>

		<?php do_atomic( 'after_content' ); ?>

	</div><!-- #content -->

<?php get_sidebar(); get_footer(); ?>