<?php

/* Kill the page if trying to access this template directly. */
if ( 'comments.php' == basename( $_SERVER['SCRIPT_FILENAME'] ) )
	die( __( 'Please do not load this page directly. Thanks!', 'wordsmith' ) );

/* If a post password is required or no comments are given and comments/pings are closed, return. */
if ( post_password_required() || ( !have_comments() && !comments_open() && !pings_open() ) )
	return;

?>

<div id="comments-template">

	<div class="comments-wrap">

		<div id="comments">

			<?php if ( have_comments() ) : ?>

			<header class="comments-header">
				<h3 id="comments-number"><?php printf( _n( 'One Comment', '%s Comments', get_comments_number(), 'wordsmith' ), number_format_i18n( get_comments_number() ) ); ?></h3>
			</header><!-- .comments-header -->

			<?php if ( get_option( 'page_comments' ) ) : ?>
			<nav id="comment-nav-above" class="comment-navigation">

				<span class="comment-links">
					<?php paginate_comments_links( array( 'next_text' => __( 'Next', 'wordsmith' ), 'prev_text' => __( 'Previous', 'wordsmith' ) ) ); ?>
				</span><!-- .comment-links -->

			</nav><!-- .comment-navigation -->
			<?php endif; ?>

			<?php do_atomic( 'before_comment_list' ); ?>

			<ol class="comment-list">
				<?php wp_list_comments( framework_list_comments_args() ); ?>
			</ol><!-- .comment-list -->

			<?php do_atomic( 'after_comment_list' ); ?>

			<?php endif; ?>

			<?php if ( !comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
			<p class="comments-closed">
				<?php _e( 'Comments are closed.', 'wordsmith' ); ?>
			</p><!-- .comments-closed -->
			<?php endif; ?>

		</div><!-- #comments -->

		<?php comment_form(); ?>

	</div><!-- .comments-wrap -->

</div><!-- #comments-template -->