<article id="post-<?php the_ID() ?>" class="<?php framework_post_class() ?>">

	<?php if ( is_singular() ) : ?>

		<?php do_atomic( 'before_entry' ); ?>

		<header class="entry-header">
			<h1 class="entry-title"><?php printf( '%s', get_the_title() ); ?></h1>
		</header><!-- .entry-header -->

		<div class="entry-content">
			<?php the_content(); ?>
			<?php wp_link_pages( array( 'before' => '<div class="page-links">', 'after' => '</div>', 'link_before' => '<span class="page-link">', 'link_after' => '</span>' ) ); ?>
		</div><!-- .entry-content -->

		<footer class="entry-meta">
			<?php printf( get_the_term_list( $post->ID, 'category', '<span class="entry-terms"><span class="entry-prep">' . __( 'Posted in ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php printf( get_the_term_list( $post->ID, 'post_tag', '<span class="entry-tags"><span class="entry-prep">' . __( 'Tagged as ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="entry-edit">', '</span>' ); ?>
		</footer><!-- .entry-meta -->

		<?php do_atomic( 'after_entry' ); ?>

	<?php else : ?>

		<?php do_atomic( 'before_entry' ); ?>

		<header class="entry-header">
			<h2 class="entry-title"><?php printf( '<a href="%1$s">%2$s</a>', get_permalink(), get_the_title() ); ?></h2>
		</header><!-- .entry-header -->

		<?php
			if ( has_excerpt() ) :
				echo '<div class="entry-summary">' . apply_filters( 'the_excerpt', $post->post_excerpt ) . '</div><!-- .entry-summary -->';
				echo '<p><a class="more-link" href="' . get_permalink() . '">' . __( 'Continue Reading', 'wordsmith' ) . '</a></p>';
			else :
				echo '<div class="entry-content">' . apply_filters( 'the_content', $post->post_content ) . '</div><!-- .entry-content -->';
			endif;
		?>

		<footer class="entry-meta">
			<?php printf( get_the_term_list( $post->ID, 'category', '<span class="entry-terms"><span class="entry-prep">' . __( 'Posted in ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php printf( get_the_term_list( $post->ID, 'post_tag', '<span class="entry-tags"><span class="entry-prep">' . __( 'Tagged as ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="entry-edit">', '</span>' ); ?>
		</footer><!-- .entry-meta -->

		<?php do_atomic( 'after_entry' ); ?>

	<?php endif; ?>

</article><!-- .hentry -->