<article id="post-<?php the_ID() ?>" class="<?php framework_post_class() ?>">

	<?php if ( is_singular() ) : ?>

		<?php
			if ( has_post_thumbnail() ) :
				echo the_post_thumbnail( 'post-image', array( 'class' => 'post-image', 'title' => the_title_attribute( 'echo=0' ) ) );
			endif;
		?>

		<?php do_atomic( 'before_entry' ); ?>

		<header class="entry-header">
			<h1 class="entry-title"><?php printf( '%s', get_the_title() ); ?></h1>
		</header><!-- .entry-header -->

		<div class="entry-byline">
			<span class="entry-published"><?php printf( '%1$s', get_the_time( get_option( 'date_format' ) ) ); ?></span>
			<?php if ( comments_open() ) : echo '<span class="entry-comments">'; comments_popup_link( __( '0', 'wordsmith' ), __( '1', 'wordsmith' ),  __( '%', 'wordsmith' ) ); echo '</span>'; endif; ?>
		</div><!-- .entry-byline -->

		<div class="entry-content">
			<?php the_content(); ?>
			<?php wp_link_pages( array( 'before' => '<nav class="page-links">', 'after' => '</nav>', 'link_before' => '<span class="page-link">', 'link_after' => '</span>' ) ); ?>
		</div><!-- .entry-content -->

		<footer class="entry-meta">
			<?php printf( get_the_term_list( $post->ID, 'category', '<span class="entry-terms"><span class="entry-prep">' . __( 'Posted in ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php printf( get_the_term_list( $post->ID, 'post_tag', '<span class="entry-tags"><span class="entry-prep">' . __( 'Tagged as ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="entry-edit">', '</span>' ); ?>
		</footer><!-- .entry-meta -->

		<?php do_atomic( 'after_entry' ); ?>

	<?php else : ?>

		<?php
			if ( has_post_thumbnail() ) :
				echo '<a href="' . get_permalink() . '">';
				echo the_post_thumbnail( 'post-image', array( 'class' => 'post-image', 'title' => the_title_attribute( 'echo=0' ) ) );
				echo '</a>';
			endif;
		?>

		<?php do_atomic( 'before_entry' ); ?>

		<header class="entry-header">
			<h2 class="entry-title"><?php printf( '<a href="%1$s">%2$s</a>', get_permalink(), get_the_title() ); ?></h2>
		</header><!-- .entry-header -->

		<div class="entry-byline">
			<span class="entry-published"><?php printf( '%1$s', get_the_time( get_option( 'date_format' ) ) ); ?></span>
			<?php if ( comments_open() ) : echo '<span class="entry-comments">'; comments_popup_link( __( '0', 'wordsmith' ), __( '1', 'wordsmith' ),  __( '%', 'wordsmith' ) ); echo '</span>'; endif; ?>
		</div><!-- .entry-byline -->

		<div class="entry-content">
			<?php the_content( __( 'Continue Reading', 'wordsmith' ) ); ?>
			<?php wp_link_pages( array( 'before' => '<nav class="page-links">', 'after' => '</nav>', 'link_before' => '<span class="page-link">', 'link_after' => '</span>' ) ); ?>
		</div><!-- .entry-content -->

		<footer class="entry-meta">
			<?php printf( get_the_term_list( $post->ID, 'category', '<span class="entry-terms"><span class="entry-prep">' . __( 'Posted in ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php printf( get_the_term_list( $post->ID, 'post_tag', '<span class="entry-tags"><span class="entry-prep">' . __( 'Tagged as ', 'wordsmith' ) . '</span>', ', ', '</span>' ) ); ?>
			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="entry-edit">', '</span>' ); ?>
		</footer><!-- .entry-meta -->

		<?php do_atomic( 'after_entry' ); ?>

	<?php endif; ?>

</article><!-- .hentry -->