<!DOCTYPE html>

<!--[if lt IE 7]><html class="no-js ie ie6" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 7]><html class="no-js ie ie7" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 8]><html class="no-js ie ie8" <?php language_attributes(); ?>><![endif]-->
<!--[if IE 9]><html class="no-js ie ie9" <?php language_attributes(); ?>><![endif]-->
<!--[if (gte IE 10)|!(IE)]><!--><html class="no-js" <?php language_attributes(); ?>><!--<![endif]-->

<head>

<title><?php framework_document_title(); ?></title>

<meta http-equiv="Content-Type" content="<?php bloginfo( 'html_type' ); ?>; charset=<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />

<link href="<?php echo get_stylesheet_directory_uri();?>/library/images/favicon.ico" rel="shortcut icon" />
<link href="<?php echo get_stylesheet_directory_uri();?>/library/images/apple-touch-icon.png" rel="apple-touch-icon" />
<link href="<?php echo get_stylesheet_directory_uri();?>/library/images/apple-touch-icon-72x72.png" rel="apple-touch-icon" sizes="72x72" />
<link href="<?php echo get_stylesheet_directory_uri();?>/library/images/apple-touch-icon-114x114.png" rel="apple-touch-icon" sizes="114x114" />
<link href="<?php echo get_stylesheet_directory_uri();?>/library/images/apple-touch-icon-144x144.png" rel="apple-touch-icon" sizes="144x144" />

<link href="http://gmpg.org/xfn/11" rel="profile" />
<link href="<?php bloginfo( 'stylesheet_url' ); ?>" rel="stylesheet" />

<?php wp_head(); ?>

</head>

<body class="<?php framework_body_class(); ?>">

	<?php do_atomic( 'open_body' ); ?>

	<div id="body-container">

		<?php do_atomic( 'before_header' ); ?>

		<header id="header">

			<?php do_atomic( 'open_header' ); ?>

			<div class="header-container">

				<hgroup id="branding">

					<?php if ( framework_get_setting( 'logo_url' ) ) : ?>

						<h1 id="site-title">
							<a href="<?php echo home_url(); ?>" rel="Home"><img src="<?php echo esc_url( framework_get_setting( 'logo_url' ) ); ?>" alt="<?php esc_attr( bloginfo( 'name' ) ); ?>" /></a>
						</h1><!-- #site-title -->

					<?php else : ?>

						<h1 id="site-title">
							<a href="<?php echo home_url(); ?>" title="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>"><?php bloginfo( 'name' ); ?></a>
						</h1><!-- #site-title -->

					<?php endif; ?>

					<h2 id="site-description">
						<span><?php echo get_bloginfo( 'description' ); ?></span>
					</h2><!-- #site-description -->

				</hgroup><!-- #branding -->

				<?php do_atomic( 'header' ); ?>

			</div><!-- .header-container -->

			<?php do_atomic( 'close_header' ); ?>

		</header><!-- #header -->

		<?php do_atomic( 'before_main' ); ?>

		<div class="clear">&nbsp;</div><!-- .clear -->

		<div id="main">

			<?php do_atomic( 'before_container' ); ?>

			<div class="main-container">

			<?php do_atomic( 'open_container' ); ?>