<?php

/* 125x125 Ads Widget Class. */
class Framework_Widget_125x125_Ads extends WP_Widget {

	/* Set up the widget's unique name, ID, class, description, and other options. */
	function __construct() {

		/* Get the theme prefix. */
		$this->prefix = framework_get_prefix();

		/* Set up the widget options. */
		$widget_options = array(
			'classname' => 'ads-125x125',
			'description' => esc_html__( 'Display 125x125 advertisements.', 'wordsmith' )
		);

		/* Set up the widget control options. */
		$control_options = array(
			'width' => 525,
			'height' => 350
		);

		/* Create the widget. */
		$this->WP_Widget( "{$this->prefix}-ads-125x125", __( '125x125 Advertisements', 'wordsmith' ), $widget_options, $control_options );

	}

	/* Outputs the widget based on the arguments input through the widget controls. */
	function widget( $args, $instance ) {
		extract( $args );

		/* Arguments for the widget. */
		$ad1 = $instance['ad1'];
		$ad2 = $instance['ad2'];
		$ad3 = $instance['ad3'];
		$ad4 = $instance['ad4'];
		$ad5 = $instance['ad5'];
		$ad6 = $instance['ad6'];

		/* Output the theme's $before_widget wrapper. */
		echo $before_widget;

	?>

		<ul>
			<?php if ( $ad1 ) { ?><li><?php echo $ad1; ?></li><?php } ?>
			<?php if ( $ad2 ) { ?><li class="last"><?php echo $ad2; ?></li><?php } ?>
			<?php if ( $ad3 ) { ?><li><?php echo $ad3; ?></li><?php } ?>
			<?php if ( $ad4 ) { ?><li class="last"><?php echo $ad4; ?></li><?php } ?>
			<?php if ( $ad5 ) { ?><li><?php echo $ad5; ?></li><?php } ?>
			<?php if ( $ad6 ) { ?><li class="last"><?php echo $ad6; ?></li><?php } ?>
		</ul>

	<?php

		/* Close the theme's widget wrapper. */
		echo $after_widget;

	}

	/* Updates the widget control options for the particular instance of the widget. */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance = $new_instance;

		$instance['ad1'] = $new_instance['ad1'];
		$instance['ad2'] = $new_instance['ad2'];
		$instance['ad3'] = $new_instance['ad3'];
		$instance['ad4'] = $new_instance['ad4'];
		$instance['ad5'] = $new_instance['ad5'];
		$instance['ad6'] = $new_instance['ad6'];

		return $instance;
	}

	/* Displays the widget control options in the Widgets admin screen. */
	function form( $instance ) {

		/* Set up the default form values. */
		$defaults = array(
			'ad1' => '<a href="#nowhere"><img src="' . FRAMEWORK_IMAGES . "/ad-125x125.png" . '" alt="Advert"></a>',
			'ad2' => '<a href="#nowhere"><img src="' . FRAMEWORK_IMAGES . "/ad-125x125.png" . '" alt="Advert"></a>',
			'ad3' => '<a href="#nowhere"><img src="' . FRAMEWORK_IMAGES . "/ad-125x125.png" . '" alt="Advert"></a>',
			'ad4' => '<a href="#nowhere"><img src="' . FRAMEWORK_IMAGES . "/ad-125x125.png" . '" alt="Advert"></a>',
			'ad5' => '',
			'ad6' => ''
		);

		/* Merge the user-selected arguments with the defaults. */
		$instance = wp_parse_args( (array) $instance, $defaults );

	?>

		<div class="widget-controls columns-2">

			<p>
				<label for="<?php echo $this->get_field_id( 'ad1' ); ?>"><?php _e( 'First Advertisement:', 'wordsmith' ); ?></label>
				<textarea class="widefat" id="<?php echo $this->get_field_id( 'ad1' ); ?>" name="<?php echo $this->get_field_name( 'ad1' ); ?>" rows="4"><?php echo $instance['ad1']; ?></textarea>
			</p>

			<p>
				<label for="<?php echo $this->get_field_id( 'ad3' ); ?>"><?php _e( 'Third Advertisement:', 'wordsmith' ); ?></label>
				<textarea class="widefat" id="<?php echo $this->get_field_id( 'ad3' ); ?>" name="<?php echo $this->get_field_name( 'ad3' ); ?>" rows="4"><?php echo $instance['ad3']; ?></textarea>
			</p>

			<p>
				<label for="<?php echo $this->get_field_id( 'ad5' ); ?>"><?php _e( 'Fifth Advertisement:', 'wordsmith' ); ?></label>
				<textarea class="widefat" id="<?php echo $this->get_field_id( 'ad5' ); ?>" name="<?php echo $this->get_field_name( 'ad5' ); ?>" rows="4"><?php echo $instance['ad5']; ?></textarea>
			</p>

		</div><!-- .widget-controls -->

		<div class="widget-controls columns-2 column-last">

			<p>
				<label for="<?php echo $this->get_field_id( 'ad2' ); ?>"><?php _e( 'Second Advertisement:', 'wordsmith' ); ?></label>
				<textarea class="widefat" id="<?php echo $this->get_field_id( 'ad2' ); ?>" name="<?php echo $this->get_field_name( 'ad2' ); ?>" rows="4"><?php echo $instance['ad2']; ?></textarea>
			</p>

			<p>
				<label for="<?php echo $this->get_field_id( 'ad4' ); ?>"><?php _e( 'Fourth Advertisement:', 'wordsmith' ); ?></label>
				<textarea class="widefat" id="<?php echo $this->get_field_id( 'ad4' ); ?>" name="<?php echo $this->get_field_name( 'ad4' ); ?>" rows="4"><?php echo $instance['ad4']; ?></textarea>
			</p>

			<p>
				<label for="<?php echo $this->get_field_id( 'ad6' ); ?>"><?php _e( 'Sixth Advertisement:', 'wordsmith' ); ?></label>
				<textarea class="widefat" id="<?php echo $this->get_field_id( 'ad6' ); ?>" name="<?php echo $this->get_field_name( 'ad6' ); ?>" rows="4"><?php echo $instance['ad6']; ?></textarea>
			</p>

		</div><!-- .widget-controls -->

		<div class="clear">&nbsp;</div><!-- .clear -->

	<?php } } ?>