<?php

/* Loop pagination function for paginating loops with multiple posts. */
function loop_pagination( $before = '', $after = '' ) {
	global $wp_rewrite, $wp_query;

	$request = $wp_query->request;
	$posts_per_page = intval( get_query_var( 'posts_per_page' ) );
	$paged = intval( get_query_var( 'paged' ) );
	$numposts = $wp_query->found_posts;
	$max_page = $wp_query->max_num_pages;

	if ( $numposts <= $posts_per_page ) {
		return;
	}

	if ( empty( $paged ) || $paged == 0 ) {
		$paged = 1;
	}

	$pages_to_show = 4;
	$pages_to_show_minus_1 = $pages_to_show - 1;
	$half_page_start = floor( $pages_to_show_minus_1 / 2 );
	$half_page_end = ceil( $pages_to_show_minus_1 / 2 );
	$start_page = $paged - $half_page_start;

	if ( $start_page <= 0 ) {
		$start_page = 1;
	}

	$end_page = $paged + $half_page_end;

	if ( ( $end_page - $start_page ) != $pages_to_show_minus_1 ) {
		$end_page = $start_page + $pages_to_show_minus_1;
	}

	if ( $end_page > $max_page ) {
		$start_page = $max_page - $pages_to_show_minus_1;
		$end_page = $max_page;
	}

	if ( $start_page <= 0 ) {
		$start_page = 1;
	}

	echo $before;

	echo '<div class="pagination loop-pagination clearfix">';

		/* Next Page */
		echo '<span class="next page-numbers">';
			next_posts_link( __( 'Next', 'loop-pagination' ) );
		echo '</span><!-- .next -->';

		/* Page Numbers */
		for ( $i = $start_page; $i  <= $end_page; $i++ ) {
			if ( $i == $paged ) {
				echo '<span class="page-numbers current">' . $i . '</span>';
				echo $content;
			} else {
				echo '<span class="page-numbers"><a href="' . get_pagenum_link( $i ) . '">' . $i . '</a></span>';
			}
		}

		/* Previous Page */
		echo '<span class="prev page-numbers">';
			previous_posts_link( __( 'Previous', 'loop-pagination' ) );
		echo '</span><!-- .prev -->';

	echo '</div><!-- .loop-pagination -->';

	echo $after;

}

?>