<?php

/* Register nav menus. */
add_action( 'init', 'framework_register_menus' );

/* Registers the the framework's default menus based on the menus the theme has registered support for. */
function framework_register_menus() {

	/* Get theme-supported menus. */
	$menus = get_theme_support( 'nav-menus' );

	/* If there is no array of menus IDs, return. */
	if ( !is_array( $menus[0] ) )
		return;

	/* Register the 'primary' menu. */
	if ( in_array( 'primary', $menus[0] ) ) :
		register_nav_menu( 'primary', __( 'Primary', 'wordsmith' ) );
	endif;

	/* Register the 'subsidiary' menu. */
	if ( in_array( 'subsidiary', $menus[0] ) ) :
		register_nav_menu( 'subsidiary', __( 'Subsidiary', 'wordsmith' ) );
	endif;

}

/* Check if 'primary' menu exists, if it doesn't then let's create it. */
if ( !is_nav_menu( 'Primary' ) ) {
	$menu_id = wp_create_nav_menu( 'Primary' );
	$menu = array( 'menu-item-type' => 'custom', 'menu-item-title' => 'Home', 'menu-item-url' => get_home_url() );
	wp_update_nav_menu_item( $menu_id, 0, $menu );
}

/* Check if 'Subsidiary' menu exists, if it doesn't then let's create it. */
if ( !is_nav_menu( 'Subsidiary' ) ) {
	wp_create_nav_menu( 'Subsidiary' );
}

?>