<?php

/* Register theme widgets. */
add_action( 'widgets_init', 'framework_register_widgets' );

/* Unregister WP widgets. */
add_action( 'widgets_init', 'framework_unregister_widgets' );

/* Register theme widgets. */
function framework_register_widgets() {

	/* Load the 125x125 ads widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-125x125-ads.php' );

	/* Load the archives widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-archives.php' );

	/* Load the authors widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-authors.php' );

	/* Load the calendar widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-calendar.php' );

	/* Load the categories widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-categories.php' );

	/* Load the dribbble widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-dribbble.php' );

	/* Load the flickr gallery widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-flickr-gallery.php' );

	/* Load the image gallery widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-image-gallery.php' );

	/* Load the nav menu widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-nav-menu.php' );

	/* Load the pages widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-pages.php' );

	/* Load the recent comments widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-recent-comments.php' );

	/* Load the recent posts widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-recent-posts.php' );

	/* Load the search widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-search.php' );

	/* Load the social profiles widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-social-profiles.php' );

	/* Load the tags widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-tags.php' );

	/* Load the twitter widget. */
	require_once( trailingslashit( FRAMEWORK_CLASSES ) . 'widget-twitter.php' );

	/* Register the 125x125 ads widget. */
	register_widget( 'Framework_Widget_125x125_Ads' );

	/* Register the archives widget. */
	register_widget( 'Framework_Widget_Archives' );

	/* Register the authors widget. */
	register_widget( 'Framework_Widget_Authors' );

	/* Register the calendar widget. */
	register_widget( 'Framework_Widget_Calendar' );

	/* Register the categories widget. */
	register_widget( 'Framework_Widget_Categories' );

	/* Register the dribbble widget. */
	register_widget( 'Framework_Widget_Dribbble' );

	/* Register the flickr gallery widget. */
	register_widget( 'Framework_Widget_Flickr_Gallery' );

	/* Register the image gallery widget. */
	register_widget( 'Framework_Widget_Image_Gallery' );

	/* Register the nav menu widget. */
	register_widget( 'Framework_Widget_Nav_Menu' );

	/* Register the pages widget. */
	register_widget( 'Framework_Widget_Pages' );

	/* Register the recent comments widget. */
	register_widget( 'Framework_Widget_Recent_Comments' );

	/* Register the recent posts widget. */
	register_widget( 'Framework_Widget_Recent_Posts' );

	/* Register the search widget. */
	register_widget( 'Framework_Widget_Search' );

	/* Load the social profiles widget. */
	register_widget( 'Framework_Widget_Social_Profiles' );

	/* Register the tags widget. */
	register_widget( 'Framework_Widget_Tags' );

	/* Register the twitter widget. */
	register_widget( 'Framework_Widget_Twitter' );

}

/* Unregister default WordPress widgets. */
function framework_unregister_widgets() {
	unregister_widget( 'WP_Widget_Archives' );
	unregister_widget( 'WP_Widget_Calendar' );
	unregister_widget( 'WP_Widget_Categories' );
	unregister_widget( 'WP_Nav_Menu_Widget' );
	unregister_widget( 'WP_Widget_Pages' );
	unregister_widget( 'WP_Widget_Recent_Comments' );
	unregister_widget( 'WP_Widget_Recent_Posts' );
	unregister_widget( 'WP_Widget_Search' );
	unregister_widget( 'WP_Widget_Tag_Cloud' );
}

?>