<?php

/* Template Name: Archives by Category */

get_header(); ?>

	<div id="content" class="hfeed content">

		<?php do_atomic( 'before_content' ); ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<article id="post-<?php the_ID() ?>" class="<?php framework_post_class() ?>">

			<?php do_atomic( 'before_entry' ); ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( '%s', get_the_title() ); ?></h1>
			</header><!-- .page-header -->

			<div class="entry-content">

				<?php the_content(); ?>

				<?php $categories = get_categories(); foreach ( $categories as $cat ) { query_posts( array( 'cat' => $cat->term_id ) ); if ( have_posts() ) : ?>

					<h4 class="styled"><span><?php echo $cat->name; ?></span></h4>

					<ul class="xoxo category-archives">

						<?php while ( have_posts() ) : the_post(); ?>

						<li>
							<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
							<span class="post-data"><?php echo get_the_time( 'm.d.Y' ); ?></span>
						</li>

						<?php endwhile; wp_reset_query(); ?>

					</ul><!-- .xoxo .category-archives -->

				<?php endif; } ?>

				<?php wp_link_pages( array( 'before' => '<nav class="page-links">', 'after' => '</nav>', 'link_before' => '<span class="page-link">', 'link_after' => '</span>' ) ); ?>

			</div><!-- .entry-content -->

			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="edit">', '</span>' ); ?>

			<?php do_atomic( 'after_entry' ); ?>

		</article><!-- .hentry -->

		<?php do_atomic( 'after_singular' ); ?>

		<?php if ( comments_open() || '0' != get_comments_number() ) comments_template( '/comments.php', true ); ?>

		<?php endwhile; else : ?>

			<?php get_template_part( 'loop-error' ); ?>

		<?php endif; ?>

		<?php do_atomic( 'after_content' ); ?>

	</div><!-- #content -->

<?php get_sidebar(); get_footer(); ?>