<?php

/* Template Name: Archives by Day */

get_header(); ?>

	<div id="content" class="hfeed content">

		<?php do_atomic( 'before_content' ); ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<article id="post-<?php the_ID() ?>" class="<?php framework_post_class() ?>">

			<?php do_atomic( 'before_entry' ); ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( '%s', get_the_title() ); ?></h1>
			</header><!-- .page-header -->

			<div class="entry-content">

				<?php the_content(); ?>

				<?php

					/* Set up some arguments to pass to WP_Query. */
					$args = array(
						'posts_per_page' => -1,
						'post_type' => array( 'post' ),
						'caller_get_posts' => true
					);

					/* Query posts from the database. */
					$loop = new WP_Query( $args );

					/* If posts were found, format them for output. */
					if ( $loop->have_posts() ) {

						/* Loop through the individual posts. */
						while ( $loop->have_posts() ) {

							/* Set up the post. */
							$loop->the_post();

								/* Get the post's time. We need this to compare it with the previous post date. */
								$day = get_the_time( 'D' );

								/* If the current date doesn't match this post's date, we need extra formatting. */
								if ( $current_day !== $day ) {

								/* Close the list if this isn't the first post. */
								if ( !empty( $current_day ) )
								$archives .= '</ul><!-- .xoxo .daily-archives -->';

								/* Set the current day. */
								$current_day = $day;

								/* Add a heading with the date. */
								$archives .= '<h4 class="styled"><span>' . get_the_time( 'l' ) . '</span></h4>';

								/* Open a new unordered list. */
								$archives .= '<ul class="xoxo daily-archives">';

							}

							/* Get the post's time. */
							$time = '<span class="post-data">' . get_the_time( 'm.d.Y' ) . '</span>';

							/* Add the post list item to the formatted archives. */
							$archives .= the_title( '<li><a href="' . get_permalink() . '" title="' . the_title_attribute( 'echo=0' ) . '" rel="bookmark">', '</a> ' . $time . '</li>', false );

						}

						/* Close the final unordered list. */
						$archives .= '</ul><!-- .xoxo .daily-archives -->';

					}

					/* Reset the query to the page's original query. */
					wp_reset_query();

					/* Return the formatted archives. */
					echo $archives;

				?>

				<?php wp_link_pages( array( 'before' => '<nav class="page-links">', 'after' => '</nav>', 'link_before' => '<span class="page-link">', 'link_after' => '</span>' ) ); ?>

			</div><!-- .entry-content -->

			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="edit">', '</span>' ); ?>

			<?php do_atomic( 'after_entry' ); ?>

		</article><!-- .hentry -->

		<?php do_atomic( 'after_singular' ); ?>

		<?php if ( comments_open() || '0' != get_comments_number() ) comments_template( '/comments.php', true ); ?>

		<?php endwhile; else : ?>

			<?php get_template_part( 'loop-error' ); ?>

		<?php endif; ?>

		<?php do_atomic( 'after_content' ); ?>

	</div><!-- #content -->

<?php get_sidebar(); get_footer(); ?>