<?php

/* Template Name: Archives */

get_header(); ?>

	<div id="content" class="hfeed content">

		<?php do_atomic( 'before_content' ); ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<article id="post-<?php the_ID() ?>" class="<?php framework_post_class() ?>">

			<?php do_atomic( 'before_entry' ); ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( '%s', get_the_title() ); ?></h1>
			</header><!-- .page-header -->

			<div class="entry-content">

				<?php the_content(); ?>

				<?php
					$args = array( 'echo' => false, 'show_post_count' => true, 'type' => 'daily' );
					$archives = str_replace( array( '\r', '\n', '\t' ), '', wp_get_archives( $args ) );
					$archives = str_replace( '(', '<span class="post-data">', $archives );
					$archives = str_replace( ')', '</span><!-- post-data -->', $archives );

					echo '<h4 class="styled"><span>' . __( 'Archive by Day', 'wordsmith' ) . '</span></h4>';

					echo '<ul class="xoxo daily-archives">';
						echo $archives;
					echo '</ul><!-- .xoxo .daily-archives -->';
				?>

				<?php
					$args = array( 'echo' => false, 'show_post_count' => true, 'type' => 'monthly' );
					$archives = str_replace( array( '\r', '\n', '\t' ), '', wp_get_archives( $args ) );
					$archives = str_replace( '(', '<span class="post-data">', $archives );
					$archives = str_replace( ')', '</span><!-- post-data -->', $archives );

					echo '<h4 class="styled"><span>' . __( 'Archive by Month', 'wordsmith' ) . '</span></h4>';

					echo '<ul class="xoxo monthly-archives">';
						echo $archives;
					echo '</ul><!-- .xoxo .monthly-archives -->';
				?>

				<?php
					$args = array( 'echo' => false, 'show_post_count' => true, 'type' => 'yearly' );
					$archives = str_replace( array( '\r', '\n', '\t' ), '', wp_get_archives( $args ) );
					$archives = str_replace( '(', '<span class="post-data">', $archives );
					$archives = str_replace( ')', '</span><!-- post-data -->', $archives );

					echo '<h4 class="styled"><span>' . __( 'Archive by Year', 'wordsmith' ) . '</span></h4>';

					echo '<ul class="xoxo yearly-archives">';
						echo $archives;
					echo '</ul><!-- .xoxo .yearly-archives -->';
				?>

				<?php
					$archives = new WP_Query( array( 'order' => 'DESC', 'posts_per_page' => 10, 'post_status' => 'publish' ) );
					if ( $archives->have_posts() ) :

						echo '<h4 class="styled"><span>' . __( 'Latest Posts', 'wordsmith' ) . '</span></h4>';

						echo '<ul class="xoxo portfolio-archives">';
							while ( $archives->have_posts() ) : $archives->the_post();
								echo '<li>' . sprintf( '<a href="%1$s">%2$s</a> <span class="post-data">%3$s</span>', get_permalink(), get_the_title(), get_the_time( 'm.d.Y' ) ) . '</li>';
							endwhile; wp_reset_query();
						echo '</ul><!-- .xoxo .portfolio-archives -->';

					endif;
				?>

				<?php
					$args = array( 'depth' => 1, 'echo' => false, 'show_count' => true, 'title_li' => false, 'use_desc_for_title' => false );
					$archives = str_replace( array( '\r', '\n', '\t' ), '', wp_list_categories( $args ) );
					$archives = str_replace( '(', '<span class="post-data">', $archives );
					$archives = str_replace( ')', '</span><!-- post-data -->', $archives );

					echo '<h4 class="styled"><span>' . __( 'Categories', 'wordsmith' ) . '</span></h4>';

					echo '<ul class="xoxo category-archives">';
						echo $archives;
					echo '</ul><!-- .xoxo .category-archives -->';
				?>

				<?php
					$args = array( 'echo' => false, 'exclude_admin' => false, 'optioncount' => true, 'show_fullname' => true, 'title_li' => false );
					$archives = str_replace( array( '\r', '\n', '\t' ), '', wp_list_authors( $args ) );
					$archives = str_replace( '(', '<span class="post-data">', $archives );
					$archives = str_replace( ')', '</span><!-- post-data -->', $archives );

					echo '<h4 class="styled"><span>' . __( 'Contributors', 'wordsmith' ) . '</span></h4>';

					echo '<ul class="xoxo author-archives">';
						echo $archives;
					echo '</ul><!-- .xoxo .author-archives -->';
				?>

				<h4 class="styled"><span><?php _e( 'Pages', 'wordsmith' ); ?></span></h4>

				<ul class="xoxo pages">
					<?php wp_list_pages( array( 'title_li' => false ) ); ?>
				</ul><!-- .xoxo .pages -->

				<?php
					$args = array( 'echo' => false, 'show_count' => true, 'taxonomy' => 'post_tag', 'title_li' => false, 'use_desc_for_title' => false );
					$archives = str_replace( array( '\r', '\n', '\t' ), '', wp_list_categories( $args ) );
					$archives = str_replace( '(', '<span class="post-data">', $archives );
					$archives = str_replace( ')', '</span><!-- post-data -->', $archives );

					echo '<h4 class="styled"><span>' . __( 'Tags', 'wordsmith' ) . '</span></h4>';

					echo '<ul class="xoxo tag-archives">';
						echo $archives;
					echo '</ul><!-- .xoxo .tag-archives -->';
				?>

				<?php wp_link_pages( array( 'before' => '<nav class="page-links">', 'after' => '</nav>', 'link_before' => '<span class="page-link">', 'link_after' => '</span>' ) ); ?>

			</div><!-- .entry-content -->

			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="edit">', '</span>' ); ?>

			<?php do_atomic( 'after_entry' ); ?>

		</article><!-- .hentry -->

		<?php do_atomic( 'after_singular' ); ?>

		<?php if ( comments_open() || '0' != get_comments_number() ) comments_template( '/comments.php', true ); ?>

		<?php endwhile; else : ?>

			<?php get_template_part( 'loop-error' ); ?>

		<?php endif; ?>

		<?php do_atomic( 'after_content' ); ?>

	</div><!-- #content -->

<?php get_sidebar(); get_footer(); ?>