<?php

/* Template Name: Biography */

get_header(); ?>

	<div id="content" class="hfeed content">

		<?php do_atomic( 'before_content' ); ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<article id="post-<?php the_ID() ?>" class="<?php framework_post_class() ?>">

			<?php do_atomic( 'before_entry' ); ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( '%s', get_the_title() ); ?></h1>
			</header><!-- .page-header -->

			<div class="entry-content">

				<div id="hcard-<?php echo str_replace( ' ', '-', get_the_author_meta( 'user_nicename', get_the_author_meta( 'ID' ) ) ); ?>" class="vcard">

					<h4 class="author-name fn n styled">
						<span><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author_meta( 'display_name' ); ?></a></span>
					</h4><!-- .author-name -->

					<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), '100', '', get_the_author_meta( 'display_name' ) ); ?></a>

					<?php if ( get_the_author_meta( 'description' ) ) : ?>

						<p class="author-bio clearfix">
						<?php the_author_meta( 'description' ); ?>
							</p><!-- .author-bio -->

					<?php else : ?>

						<p class="author-bio clearfix">
							<?php _e( 'This user hasn\'t filled out their description yet.', 'wordsmith' ); ?>
						</p><!-- .author-bio -->

					<?php endif; ?>

				</div><!-- .vcard -->

				<?php the_content(); ?>
				<?php wp_link_pages( array( 'before' => '<nav class="page-links">', 'after' => '</nav>', 'link_before' => '<span class="page-link">', 'link_after' => '</span>' ) ); ?>

			</div><!-- .entry-content -->

			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="edit">', '</span>' ); ?>

			<?php do_atomic( 'after_entry' ); ?>

		</article><!-- .hentry -->

		<?php do_atomic( 'after_singular' ); ?>

		<?php if ( comments_open() || '0' != get_comments_number() ) comments_template( '/comments.php', true ); ?>

		<?php endwhile; else : ?>

			<?php get_template_part( 'loop-error' ); ?>

		<?php endif; ?>

		<?php do_atomic( 'after_content' ); ?>

	</div><!-- .content -->

<?php get_sidebar(); get_footer(); ?>