<?php

/* Template Name: List Most Commented Posts */

get_header(); ?>

	<div id="content" class="hfeed content">

		<?php do_atomic( 'before_content' ); ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<article id="post-<?php the_ID() ?>" class="<?php framework_post_class() ?>">

			<?php do_atomic( 'before_entry' ); ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( '%s', get_the_title() ); ?></h1>
			</header><!-- .page-header -->

			<div class="entry-content">

				<?php the_content(); ?>

				<?php query_posts( array( 'orderby' => 'comment_count', 'showposts' => 10 ) ); ?>

				<?php if ( have_posts() ) : ?>

					<ul class="xoxo most-commented">

					<?php while ( have_posts() ) : the_post(); ?>

						<li>
							<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
							<?php if ( comments_open() ) : echo '<span class="post-data">'; printf( _n( '01', '%s', get_comments_number(), 'wordsmith' ), number_format_i18n( get_comments_number() ) ); echo '</span>'; endif; ?>
						</li>

					<?php endwhile; ?>

					</ul><!-- .xoxo .most-commented -->

				<?php endif; wp_reset_query(); ?>

				<?php wp_link_pages( array( 'before' => '<nav class="page-links">', 'after' => '</nav>', 'link_before' => '<span class="page-link">', 'link_after' => '</span>' ) ); ?>

			</div><!-- .entry-content -->

			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="edit">', '</span>' ); ?>

			<?php do_atomic( 'after_entry' ); ?>

		</article><!-- .hentry -->

		<?php do_atomic( 'after_singular' ); ?>

		<?php if ( comments_open() || '0' != get_comments_number() ) comments_template( '/comments.php', true ); ?>

		<?php endwhile; else : ?>

			<?php get_template_part( 'loop-error' ); ?>

		<?php endif; ?>

		<?php do_atomic( 'after_content' ); ?>

	</div><!-- #content -->

<?php get_sidebar(); get_footer(); ?>