<?php

/* Template Name: List Posts */

get_header(); ?>

	<div id="content" class="hfeed content">

		<?php do_atomic( 'before_content' ); ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<article id="post-<?php the_ID() ?>" class="<?php framework_post_class() ?>">

			<?php do_atomic( 'before_entry' ); ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( '%s', get_the_title() ); ?></h1>
			</header><!-- .page-header -->

			<div class="entry-content">

				<?php the_content(); ?>

				<?php
					$archives = new WP_Query( array( 'order' => 'DESC', 'posts_per_page' => -1, 'post_status' => 'publish' ) );
					if ( $archives->have_posts() ) :

						echo '<ul class="xoxo posts">';
							while ( $archives->have_posts() ) : $archives->the_post();
								echo '<li>' . sprintf( '<a href="%1$s">%2$s</a> <span class="post-data">%3$s</span>', get_permalink(), get_the_title(), get_the_time( 'm.d.Y' ) ) . '</li>';
							endwhile; wp_reset_query();
						echo '</ul><!-- .xoxo .posts -->';

					endif;
				?>

				<?php wp_link_pages( array( 'before' => '<nav class="page-links">', 'after' => '</nav>', 'link_before' => '<span class="page-link">', 'link_after' => '</span>' ) ); ?>

			</div><!-- .entry-content -->

			<?php edit_post_link( __( 'Edit', 'wordsmith' ), '<span class="edit">', '</span>' ); ?>

			<?php do_atomic( 'after_entry' ); ?>

		</article><!-- .hentry -->

		<?php do_atomic( 'after_singular' ); ?>

		<?php if ( comments_open() || '0' != get_comments_number() ) comments_template( '/comments.php', true ); ?>

		<?php endwhile; else : ?>

			<?php get_template_part( 'loop-error' ); ?>

		<?php endif; ?>

		<?php do_atomic( 'after_content' ); ?>

	</div><!-- #content -->

<?php get_sidebar(); get_footer(); ?>